Subject: Re:Selecting text via mouse in xterm also grabs/inserts whitespace at end of each line.

From: Matt Ackeret <[email-masked]>
Date: Tue, 23 Apr 2002 12:19:30 -0700 (PDT)

On Tue, 23 Apr 2002 [email-masked] wrote:
>From: James Dryfoos <[email-masked]>
>At times I like to cut and paste text from an email (Pine 4.44 on Solaris
>running under xterm or rxvt -- without enable-mouse-in-xterm) into vi, a new
>email message or something else.  Lately, I have been having problem where
>spaces are added at the end of each line up to the edge of the screen. These are
>inserted along with my selected text and cause the lines to be padded out (with
>spaces) longer than should be. This did not used to happen and does not happen
>with other xterms/apps ... I have been trying to figure out if this is a Pine
>thing or something related to my environment. So far, I have only been able to
>duplicate in Pine. It seems like the actual end of line is being lost.

Are you sure that these aren't "format=flowed" messages?

I honestly know very little about this format, but it's some kind of
downwardly-compatible mail sending format so that a mailer that
understands the format can rewrap paragraphs and such, but
it (allegedly) doesn't hurt unaware mailers.

One of the features is that every line ends with space<cr> (or maybe it's
space<lf>).

This leads to a question of mine.  Sometimes I have messages that
DO NOT show up quoted in pine, but DO show up quoted in Mail.app.

For example, to me it shows up as something like:

so and so said:
whatever whatever

Yeah I really agree with you..

and the first two lines appear quoted, but to me it all appears flush on the
left like that.

I can't see anything in the raw text to figure out what's going on.
Is this the same format=flowed situation?

If so, any chance of pine being able to view this format=flowed,
and hopefully even convert to >-quoted lines when replying (and viewing)?